import { z } from 'zod'

const VerificationSchema = z.object({
  name: z.string({
    required_error: 'Mohon lengkapi Nama Anda',
  }),
  email: z.string({
    required_error: 'Mohon lengkapi email',
  }),
  password: z.string({
    required_error: 'Mohon lengkapi password',
  }),
})


type VerificationFormData = z.infer<typeof VerificationSchema>

export { VerificationSchema, }
export type { VerificationFormData, }
